#if defined _lm4f232_included
  #endinput
#endif
#define _lm4f232_included
#pragma library LM4F232

#define SYSCTL_PERIPH_GPIOG 0x20000040
#define SYSCTL_PERIPH_GPIOM 0xf000080B

#define GPIO_PORTG_BASE 0x40026000
#define GPIO_PORTM_BASE 0x40063000

#define GPIO_PIN_0 0x00000001
#define GPIO_PIN_1 0x00000002
#define GPIO_PIN_2 0x00000004
#define GPIO_PIN_3 0x00000008
#define GPIO_PIN_4 0x00000010
#define GPIO_PIN_5 0x00000020
#define GPIO_PIN_6 0x00000040
#define GPIO_PIN_7 0x00000080

#define GPIO_PIN_TYPE_STD     0x00000008
#define GPIO_PIN_TYPE_STD_WPU 0x0000000A
#define GPIO_PIN_TYPE_STD_WPD 0x0000000C

#define GPIO_STRENGTH_2MA    0x00000001
#define GPIO_STRENGTH_4MA    0x00000002
#define GPIO_STRENGTH_8MA    0x00000004
#define GPIO_STRENGTH_8MA_SC 0x0000000C

native mwait( pause_ms );
native SysCtlPeripheralEnable( ulPeripheral );
native PinTypeGPIOOutput( ulPort , ucPins , ulStrength = GPIO_STRENGTH_2MA );
native PinTypeGPIOInput( ulPort , ucPins , ulPinType = GPIO_PIN_TYPE_STD_WPU );
native GPIOWrite( ulPort , ucPins , ucVal );
native GPIORead( ulPort , ucPins );

