#ifndef _USB_CDC_DRIVER_H_
#define _USB_CDC_DRIVER_H_

tBoolean USBCDCInit();
tBoolean USBCDCIsConfigured();
void USBCDCIntRxExtRegister(void (*handler_func)(void));
void USBCDCIntRxExtUnregister();
void USBCDCBufferFlush();
void USBCDCRXBufferClear();
unsigned long USBCDCBufferWrite(unsigned char *pucData, unsigned long ulLength);
unsigned long USBCDCBufferRead(unsigned char *pucData, unsigned long ulLength);
unsigned long USBCDCBufferDataAvailable();
unsigned long USBCDCBufferSpaceAvailable();
void USBCDCSendCR();
void USBCDCPrintf(const char *formatStr, ...);

#endif
